Cannot install ia32-libs on 12.04 64-bit

Bug #971761 reported by TragicWarrior
172
This bug affects 36 people
Affects Status Importance Assigned to Milestone
synaptic (Ubuntu)
Undecided
Unassigned

Bug Description

Cannot install ia32-libs on 12.04 LTS beta 2. Error message from Synaptic is "The following packages have unresolved dependencies."

ia32-libs:
  Depends: ia32-libs-multiarch

---------
from lsb_release -rd

Description: Ubuntu precise (development branch)
Release: 12.04

Revision history for this message
Steve Langasek (vorlon) wrote :

The dependency is satisfiable by any package manager that implements multiarch. I'm not sure if synaptic supports multiarch yet; reassigning to synaptic.

affects: ia32-libs (Ubuntu) → synaptic (Ubuntu)
Revision history for this message
TragicWarrior (bryan-christ) wrote :

@steve, i also tried with apt-get and ran into the same problem.

Revision history for this message
TragicWarrior (bryan-christ) wrote :

@all, for practical application context, this bug manifests when you try to install skype on 64-bit.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in synaptic (Ubuntu):
status: New → Confirmed
Revision history for this message
Sebastian Thürrschmidt (thuerrschmidt) wrote :

Same problem here in connection with Google Earth. The root cause seems to be an out-of-date version of libsoup2.4-1:i386 package, which is currently marked yellow on http://packages.ubuntu.com/precise/libsoup2.4-1. My guess is there's been some build error or failure, which will probably be resolved very soon. Anybody who needs Skype or Google Earth on amd64 better hold your updates in the meantime!

Revision history for this message
TragicWarrior (bryan-christ) wrote :

@all, seems to be fixed now. i tried to install skype again last night and the dependencies resolved.

@sebastian, does Goolge Earth work now too?

Revision history for this message
Sebastian Thürrschmidt (thuerrschmidt) wrote :

Fixed here too, Google Earth working again. I'd suggest to close this bug.

Revision history for this message
Ken Marks (km0201) wrote :

It worked fine for me a couple days ago... then when I ran system updates, it apparently removed the ia32libs and the apps that depended on it (skype, teamviewer, google earth).

After the upgrade and restarting, I tried to reinstall skype and got the same errors.

Revision history for this message
pst007x (turone) wrote :

This affects; BIBBLE, GOOGLE-EARTH-STABLE, ACROREAD

Error: Cannot install 'ia32-libs'

When trying to install ia32-libs:

Could not mark all packages for installation or upgrade
ia32-libs:
 Depends: ia32-libs-multiarch

Hope this is sorted, this is a major problem...

Revision history for this message
pst007x (turone) wrote :
Revision history for this message
pst007x (turone) wrote :
Revision history for this message
pst007x (turone) wrote :

NOT FIXED !

Just updated and now I am unable to install ia32-lib

Revision history for this message
pst007x (turone) wrote :

I updated a couple of hours ago... broke it ..... I updated 10mins ago... fixed it... lol! ...

I love BETA :-/

Now fixed mmmm....

Revision history for this message
Uri Shabtay (uri.shabtay) wrote :

still 'teamviewer, google-earth (and probably others) aren't installable on 12.04 64-bit

Revision history for this message
Cariboo1938 (jgrauca) wrote :

Hi,
run into the same " install ia32-lib" issue when i tried to install Skype on my Laptop....
Is there any help yet?

Revision history for this message
Lucazade (lucazade) wrote :

any news?
still impossible to install teamviewer7 on a 64bit Precise machine!

Revision history for this message
Neil Gunther (neil-gunther) wrote :

Has anyone had any suuccess installing the ia32 libs on a 64 bit system?

I've tried Synaptic,sudo apt-get install -f, Gdebi, Software Centre, etc but all to no avail.

I became aware that it was an issue when trying to install Google Earth 6.2. The dependencies were installed on 11.10 but when I ugraded my system the packages had been deleted and not substituted with more recent versions.

Revision history for this message
Krisztian Poos (rocky-poos) wrote :

Is there any updates to this topic so far? I also have the problem, not able to install teamviewer7 on 12.04

root@darkstar:/tmp# dpkg -i teamviewer_linux_x64.deb
Selecting previously unselected package teamviewer7.
(Reading database ... 325309 files and directories currently installed.)
Unpacking teamviewer7 (from teamviewer_linux_x64.deb) ...
(Noting disappearance of teamviewer7:i386, which has been completely replaced.)
dpkg: dependency problems prevent configuration of teamviewer7:
 teamviewer7 depends on lib32z1; however:
  Package lib32z1 is not installed.
 teamviewer7 depends on ia32-libs; however:
  Package ia32-libs is not installed.
dpkg: error processing teamviewer7 (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 teamviewer7

root@darkstar:~# apt-get install ia32-libs
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 ia32-libs : Depends: ia32-libs-multiarch
E: Unable to correct problems, you have held broken packages.
root@darkstar:~# apt-get install ia32-libs ia32-libs-multiarch
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 ia32-libs-multiarch:i386 : Depends: gtk2-engines:i386 but it is not going to be installed
                            Depends: gtk2-engines-murrine:i386 but it is not going to be installed
                            Depends: gtk2-engines-pixbuf:i386 but it is not going to be installed
                            Depends: gtk2-engines-oxygen:i386 but it is not going to be installed
                            Depends: ibus-gtk:i386 but it is not going to be installed
                            Depends: libcanberra-gtk-module:i386 but it is not going to be installed
                            Depends: libgail-common:i386 but it is not going to be installed
                            Depends: libgtk2.0-0:i386 but it is not going to be installed
                            Depends: librsvg2-common:i386 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Revision history for this message
David Edwards (purple52) wrote :
summary: - Cannot install ia32-libs on 12.04 beta2 64-bit
+ Cannot install ia32-libs on 12.04 64-bit
Revision history for this message
Steve Langasek (vorlon) wrote :

Removing the ia32-libs bug task here. There is no problem with the ia32-libs package, it's perfectly installable on 12.04. This bug report was from a user trying to use synaptic to install; that's a question of synaptic supporting multiarch.

If you are having problems installing ia32-libs with apt-get, please make sure that you have all packages up to date first - i.e., run update-manager and apply all updates, or run 'sudo apt-get dist-upgrade'.

Note that you generally should *not* need ia32-libs nowadays; you should be able to just install the i386 version of whatever package you need. ia32-libs is present in 12.04 for upgrade compatibility only.

no longer affects: ia32-libs (Ubuntu)
Revision history for this message
Daniel Ejsing-Duun (zilvador) wrote :

Not sure what this means. I get exactly the same error and I'm not using Synaptic, only apt-get. ia32-libs-multiarch is not present in the repositories and as such the dependencies can not be fulfilled. Do you want a new bug report for this issue filed for ia32-libs then?

Revision history for this message
Krisztian Poos (rocky-poos) wrote :
Download full text (4.8 KiB)

I also use apt-get, and if I would let apt-get -f install to remove the whole system, that would be a wrong decision. On the link you entered, all the people says, that this is no solution. I still cannot install 3rd party applications, and I don't really want to nearly reinstall my system. Because installing the :i386 versionj of a package would totally make a mess on the dpkg database. It would remove mostly all the packages first... That is anyway a previously 11.04 upgraded to 11.10 upgraded to 12.04 ubuntu system... So do you say, that this is normal, that to install a teamviewer, or skype, or any other 3rd party packages should remove most of the desktop packages first?

root@darkstar:/home/rocky/Downloads# dpkg -i teamviewer_linux_x64.deb
Selecting previously unselected package teamviewer6.
(Reading database ... 363949 files and directories currently installed.)
Unpacking teamviewer6 (from teamviewer_linux_x64.deb) ...
dpkg: dependency problems prevent configuration of teamviewer6:
 teamviewer6 depends on lib32z1; however:
  Package lib32z1 is not installed.
 teamviewer6 depends on ia32-libs; however:
  Package ia32-libs is not installed.
dpkg: error processing teamviewer6 (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 teamviewer6
root@darkstar:/home/rocky/Downloads# apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  libavutil50 libwxbase2.8-0 python-pywapi libraw5 0ad-data libgdata1.9-cil libgexiv2-1 libboost-signals1.46.1 libavcodec52 gtk3-engines-unico kpartx python-debtagshw
  liboverlay-scrollbar3-0.2-0 libvpx0 geeqie-common exiftran gir1.2-gudev-1.0 gir1.2-launchpad-integration-3.0 libenet1a software-center-aptdaemon-plugins tex-gyre libnvtt2
  tex-common lib32z1
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  compiz-kde compizconfig-backend-kconfig epiphany-browser epiphany-browser-data gnome-js-common lib32z1 libseed-gtk3-0
Suggested packages:
  epiphany-extensions
The following packages will be REMOVED:
  0ad adobe-flash-properties-gtk adobe-flashplugin alacarte banshee banshee-extension-soundmenu checkbox-gtk compiz-gnome compizconfig-settings-manager ejecter firefox
  firefox-globalmenu firefox-gnome-support gbrainy geeqie gimp gir1.2-appindicator-0.1 gir1.2-dbusmenu-gtk-0.4 gir1.2-gtk-2.0 gir1.2-vte-0.0 gksu gnat-gps gnome-games-data
  gnome-panel-bonobo gnome-session-canberra gnome-sudoku gnome-themes-ubuntu gnomine google-chrome-stable gparted gqview grdesktop gtk2-engines gtk2-engines-murrine
  gtk2-engines-pixbuf gwibber ibus ibus-gtk ibus-pinyin ibus-table indicator-weather libappindicator0.1-cil libappindicator1 libavahi-ui0 libbonoboui2-0 libcanberra-gtk-module
  libcryptui0 libdbusmenu-gtk3 libedata-cal1.2-10 libedataserverui1.2-11 libgail18 libgcr0 libgimp2.0 libgksu2-0 libglade2-0 libglade2.0-cil libgladeui-1-11 libgnome-desktop-2-17
  libgnome-media0 libgnome-window-settings1 libgnome2.24-cil libgnomecanvas2-0 libgnomekbd4 libgnomeui-0 libgo...

Read more...

Revision history for this message
Steve Langasek (vorlon) wrote : Re: [Bug 971761] Re: Cannot install ia32-libs on 12.04 64-bit

On Fri, Jun 15, 2012 at 09:32:31AM -0000, Daniel Ejsing-Duun wrote:
> Not sure what this means. I get exactly the same error and I'm not using
> Synaptic, only apt-get. ia32-libs-multiarch is not present in the
> repositories

Then your system is not properly configured for multiarch. Please check
that you have the file /etc/dpkg/dpkg.cfg.d/multiarch with contents
"foreign-architecture i386" - and if not, create it.

To our knowledge, if this file is missing this can only be as a result of a
manual action on your part to remove it.

Revision history for this message
Krisztian Poos (rocky-poos) wrote :

Thanks for the hint. I have checked, the file exists, and the content is what you said.

root@darkstar:/etc/dpkg# cd dpkg.cfg.d/
root@darkstar:/etc/dpkg/dpkg.cfg.d# ls
multiarch
root@darkstar:/etc/dpkg/dpkg.cfg.d# cat multiarch
foreign-architecture i386
root@darkstar:/etc/dpkg/dpkg.cfg.d#

root@darkstar:/etc/dpkg/dpkg.cfg.d# ls -la
total 12
drwxr-xr-x 2 root root 4096 May 3 18:58 .
drwxr-xr-x 4 root root 4096 May 3 19:29 ..
-rw-r--r-- 1 root root 26 Oct 9 2011 multiarch

It is here for a while now.
so nothing changed, and it is still not working :(

do you have any other hints? Any help is very appreciated.
Thanks anyway.
Krisztian

Revision history for this message
Daniel Ejsing-Duun (zilvador) wrote :

Thank you for answering.

The same goes for me. The file exists and contains the mentioned text. Now when talking about my case I should mentioned that apt-get at the same time states that I have held broken packages. When asking Synaptic though I neither have held nor broken packages and with apt-get neither upgrading nor -f flag helps and dpkg --configure neither. All looks normal here.

Still I can't install ia32-libs nor find the multiarch package.

Regards, Daniel.

Revision history for this message
John McCreesh (jpmcc) wrote :

I managed to install TeamViewer 7 from a downloaded .deb using the Ubuntu software manager, but at the expense of a huge number of dependencies. However, at the end of a long wait, it did install.

John

Revision history for this message
Aleksander Machniak (al3c) wrote :

Still an issue using up-to-date Precise.

Revision history for this message
slegrand (legrand-simon) wrote :

I think this is also related to the same issue that prevents anyone from installing wine in bug 994309!

Revision history for this message
Spam Trash (spam-trash) wrote :

Same here. Fresh 12.04 installation. Prevents running any 32 bit executable.

Revision history for this message
soc (simon-ochsenreither) wrote :
Download full text (3.3 KiB)

I created a file with the contents mentioned in comment #23, but this hasn't solved it. Instead I get the following error message now when I install or remove any package:

Entfernen von libavahi-ui-gtk3-0:amd64 ...
Unknown configuration key `foreign-architecture' found in your `dpkg'
configuration files. This warning will become a hard error at a later
date, so please remove the offending configuration options and replace
them with `dpkg --add-architecture' invocations at the command line.

Entfernen von libgvc5 ...
Unknown configuration key `foreign-architecture' found in your `dpkg'
configuration files. This warning will become a hard error at a later
date, so please remove the offending configuration options and replace
them with `dpkg --add-architecture' invocations at the command line.

Entfernen von libgraph4 ...
Unknown configuration key `foreign-architecture' found in your `dpkg'
configuration files. This warning will become a hard error at a later
date, so please remove the offending configuration options and replace
them with `dpkg --add-architecture' invocations at the command line.

Entfernen von libcdt4 ...
Unknown configuration key `foreign-architecture' found in your `dpkg'
configuration files. This warning will become a hard error at a later
date, so please remove the offending configuration options and replace
them with `dpkg --add-architecture' invocations at the command line.

Entfernen von libchamplain-gtk-0.12-0:amd64 ...
Unknown configuration key `foreign-architecture' found in your `dpkg'
configuration files. This warning will become a hard error at a later
date, so please remove the offending configuration options and replace
them with `dpkg --add-architecture' invocations at the command line.

Entfernen von libchamplain-0.12-0:amd64 ...
Unknown configuration key `foreign-architecture' found in your `dpkg'
configuration files. This warning will become a hard error at a later
date, so please remove the offending configuration options and replace
them with `dpkg --add-architecture' invocations at the command line.

Entfernen von libstreamanalyzer0 ...
Unknown configuration key `foreign-architecture' found in your `dpkg'
configuration files. This warning will become a hard error at a later
date, so please remove the offending configuration options and replace
them with `dpkg --add-architecture' invocations at the command line.

Entfernen von libsoprano4 ...
Unknown configuration key `foreign-architecture' found in your `dpkg'
configuration files. This warning will become a hard error at a later
date, so please remove the offending configuration options and replace
them with `dpkg --add-architecture' invocations at the command line.

Entfernen von libclucene0ldbl ...
Unknown configuration key `foreign-architecture' found in your `dpkg'
configuration files. This warning will become a hard error at a later
date, so please remove the offending configuration options and replace
them with `dpkg --add-architecture' invocations at the command line.

Entfernen von libdlrestrictions1 ...
Unknown configuration key `foreign-architecture' found in your `dpkg'
configuration files. This warning will become a hard error at a l...

Read more...

Revision history for this message
soc (simon-ochsenreither) wrote :

Executing "sudo dpkg --add-architecture i386" seems to solve the issue, at least for me.

Revision history for this message
Tilo Werner (tilo-werner) wrote :

I also ran into this bug on a 12.04 64bit install. Finally I found also bug #940825 on this machine. After fixing repository url to main mirror this problem was solved for me.

http://de.archive... -> http://archive...

Maybe it helps somebody.

Revision history for this message
Andrew Schulman (andrex) wrote :

Confirmed on a current, up-to-date installation of precise. Acroread, Crossover and Lotus Notes are uninstallable because all depend on ia32-libs, which depends on ia32-libs-multiarch, which won't install:

# apt-get install ia32-libs-multiarch
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 ia32-libs-multiarch:i386 : Depends: gstreamer0.10-plugins-good:i386 but it is not going to be installed
                            Depends: gtk2-engines:i386 but it is not going to be installed
                            Depends: gtk2-engines-murrine:i386 but it is not going to be installed
                            Depends: gtk2-engines-pixbuf:i386 but it is not going to be installed
                            Depends: gtk2-engines-oxygen:i386 but it is not going to be installed
                            Depends: ibus-gtk:i386 but it is not going to be installed
                            Depends: libcanberra-gtk-module:i386 but it is not going to be installed
                            Depends: libcupsimage2:i386 but it is not going to be installed
                            Depends: libgail-common:i386 but it is not going to be installed
                            Depends: libgphoto2-2:i386 but it is not going to be installed
                            Depends: libgtk2.0-0:i386 but it is not going to be installed
                            Depends: libqt4-opengl:i386 but it is not going to be installed
                            Depends: libqt4-qt3support:i386 but it is not going to be installed
                            Depends: libqt4-scripttools:i386 but it is not going to be installed
                            Depends: libqt4-svg:i386 but it is not going to be installed
                            Depends: libqtgui4:i386 but it is not going to be installed
                            Depends: libqtwebkit4:i386 but it is not going to be installed
                            Depends: librsvg2-common:i386 but it is not going to be installed
                            Depends: libsane:i386 but it is not going to be installed
                            Depends: libsdl-image1.2:i386 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

# cat /etc/dpkg/dpkg.cfg.d/multiarch
foreign-architecture i386

Is there something else we're supposed to be doing?

Revision history for this message
Andrew Schulman (andrex) wrote :

I found a workaround, at least in precise: install ia32-libs_20090808ubuntu26_amd64.deb, from oneiric: http://packages.ubuntu.com/oneiric/amd64/ia32-libs/download. In my precise installation, this version installs and runs fine, once the libraries it depends on are also installed. All of those are available in the precise repositories.

Revision history for this message
Daniel Hartwig (wigs) wrote :

Steve Langasek (vorlon) wrote:
> This bug report was from a user trying to use synaptic to install;
> that's a question of synaptic supporting multiarch.

Synaptic (now) supports multiarch well enough to install the package.
I am invalidating this bug for Synaptic.

Goes on to write:
> To our knowledge, if [dpkg.cfg.d/multiarch] is missing this can only
> be as a result of a manual action on your part to remove it.

See bug 1093819 for some claims to the contrary.

Some users experience dependency problems beyond having multiarch configured. For example:

Andrew Schulman (andrex) wrote:
> The following packages have unmet dependencies:
> ia32-libs-multiarch:i386 : Depends: gstreamer0.10-plugins-good:i386 but it is not going to be installed
> Depends: gtk2-engines:i386 but it is not going to be installed
> […]

This is bug 1016294 and covers most of the problems here, as confirmed by the majority of recent comments. Merging.

Changed in synaptic (Ubuntu):
status: Confirmed → Invalid
Revision history for this message
Daniel Hartwig (wigs) wrote :

Daniel Ejsing-Duun (zilvador) wrote:
> Now when talking about my case I should mentioned that apt-get
> at the same time states that I have held broken packages.

This message is sometimes incorrect.

> When asking Synaptic though I neither have held nor broken packages

Synaptic does not share precisely the same concept of held packages as
apt [bug 42178]. To confirm whether you actually do have held
packages:

$ apt-mark showholds
wget

which could be unheld with:

$ sudo apt-mark unhold wget

Revision history for this message
Steve Langasek (vorlon) wrote :

> > To our knowledge, if [dpkg.cfg.d/multiarch] is missing this can only
> > be as a result of a manual action on your part to remove it.

> See bug 1093819 for some claims to the contrary.

Well, debootstrap is not exactly a supported installation method.

> Some users experience dependency problems beyond having multiarch
> configured. For example:

> Andrew Schulman (andrex) wrote:
> > The following packages have unmet dependencies:
> > ia32-libs-multiarch:i386 : Depends: gstreamer0.10-plugins-good:i386 but it is not going to be installed
> > Depends: gtk2-engines:i386 but it is not going to be installed
> > […]

> This is bug 1016294 and covers most of the problems here, as confirmed
> by the majority of recent comments. Merging.

These issues are, without exception, the result of local misconfiguration
and/or local installation of mismatched library versions. It is not a bug
in ia32-libs that users have their systems in a state that doesn't allow the
package's dependencies to be satisfied - the dependencies *are* satisfiable
in the Ubuntu archive.

Revision history for this message
Daniel Hartwig (wigs) wrote :

On 14 January 2013 12:20, Steve Langasek <email address hidden> wrote:
>> > To our knowledge, if [dpkg.cfg.d/multiarch] is missing this can only
>> > be as a result of a manual action on your part to remove it.
>
>> See bug 1093819 for some claims to the contrary.
>
> Well, debootstrap is not exactly a supported installation method.

Right, though Wubi certainly is. Reassigning that issue to Wubi for triage.

>> Some users experience dependency problems beyond having multiarch
>> configured. For example:

>> This is bug 1016294 […]
>
> These issues are, without exception, the result of local misconfiguration
> and/or local installation of mismatched library versions. It is not a bug
> in ia32-libs that users have their systems in a state that doesn't allow the
> package's dependencies to be satisfied - the dependencies *are* satisfiable
> in the Ubuntu archive.

No argument from me. That bug report has remained open for quite some
time; marking it as invalid.

Regards

Revision history for this message
Mahendran Kathirvel (astromahi) wrote :

Same problem here When I was trying to install teamviewer.
Ubuntu 12.10 x64

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers